package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.JQXXXSearchContext;

/**
 * 实体 [交强险信息] 存储模型
 */
public interface JQXXX{

    /**
     * 交强险信息标识
     */
    String getJQXXXId();

    void setJQXXXId(String jQXXXId);

    /**
     * 获取 [交强险信息标识]脏标记
     */
    boolean getJQXXXIdDirtyFlag();
    /**
     * 费率系数
     */
    Double getFlxs();

    void setFlxs(Double flxs);

    /**
     * 获取 [费率系数]脏标记
     */
    boolean getFlxsDirtyFlag();
    /**
     * 基准保费
     */
    BigDecimal getJzbf();

    void setJzbf(BigDecimal jzbf);

    /**
     * 获取 [基准保费]脏标记
     */
    boolean getJzbfDirtyFlag();
    /**
     * 实交保费
     */
    BigDecimal getSjbf();

    void setSjbf(BigDecimal sjbf);

    /**
     * 获取 [实交保费]脏标记
     */
    boolean getSjbfDirtyFlag();
    /**
     * 责任限额
     */
    BigDecimal getZrxe();

    void setZrxe(BigDecimal zrxe);

    /**
     * 获取 [责任限额]脏标记
     */
    boolean getZrxeDirtyFlag();
    /**
     * 交强险信息名称
     */
    String getJQXXXName();

    void setJQXXXName(String jQXXXName);

    /**
     * 获取 [交强险信息名称]脏标记
     */
    boolean getJQXXXNameDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 条款代码
     */
    String getTkdm();

    void setTkdm(String tkdm);

    /**
     * 获取 [条款代码]脏标记
     */
    boolean getTkdmDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 条款名称
     */
    String getTkmc();

    void setTkmc(String tkmc);

    /**
     * 获取 [条款名称]脏标记
     */
    boolean getTkmcDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 车险单标识
     */
    String getCIDId();

    void setCIDId(String cIDId);

    /**
     * 获取 [车险单标识]脏标记
     */
    boolean getCIDIdDirtyFlag();
}
